Connect rule fetch

Prev Next

Returns a list of the rules in a connect rule policy.

GET https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/accept

GET https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/deny

GET https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/throttle

GET https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/tls

GET https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/trusted_sender

Required headers:

If the domain you use to access the Trellix UI ends in fireeye.com:

x-fireeye-api-key: <key>—Specifies your personal API key.

If the domain you use to access the Trellix UI ends in trellix.com:

authorization: bearer <access_token>—Specifies your personal access token.

Content-Type: “application/json”—Content type of the request body.

Options

policy1_uuid—(string) Universally unique identifier (UUID) of the policy.

accept—Specifies rule type: accept.

deny—Specifies rule type: deny.

throttle—Specifies rule type: throttle.

tls—Specifies rule type: tls.

trusted_sender—Specifies rule type: trusted_sender.

Example of the request

Values for ID and other fields are for illustration only.

GET https://<API_HOST>/api/v1/policies/755defef-b30c-4ea5-a19c-dd97f8ed697c/configuration/rules/connect/accept

Example of the response

{
    "data":
    {
        "policy_master_uuid": "policy1_uuid",
        "accept": 
        {
            "sender_domains": ["d1.com", "d2.com"],
            "sender": ["a@b.com", "c@d.com"]
        }
    },
    "meta":
    {  
          "copyright": "xxxxxxxxxx",
          "type": "Connect Rules"
    }
}

cURL code sample: connect rule fetch

curl -k -X GET https://<API_HOST>/api/v1/policies/755defef-b30c-4ea5-a19c-dd97f8ed697c/configuration/rules/connect/accept -H "Content-Type: application/json" -H "x-fireeye-api-key: xxxxxxxxxxxxx"

This cURL sample includes the following options:

  • -X GET—This option changes the HTTP method to GET.

  • -H 'Content-Type: application/json—This header specifies that the request body is sent to the server in JSON format.

  • -H 'x-fireeye-api-key: xxxxxxxxxxxxxxx'—This header specifies your personal API key.

  • https://<API_HOST>/api/v1/policies/755defef-b30c-4ea5-a19c-dd97f8ed697c/configuration/rules/connect/accept—The connect rule fetch URL. Replace <API_HOST> with the IP address of your Email Security - Cloud instance and 755defef-b30c-4ea5-a19c-dd97f8ed697c with the UUID of the connect rule policy.